Bug 1255975 - [abrt] gourmet: shopgui.py:736:getOptionalIngDic:AttributeError: 'module' object has no attribute 'UserCancelError'
[abrt] gourmet: shopgui.py:736:getOptionalIngDic:AttributeError: 'module' obj...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gourmet (Show other bugs)
21
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Gordon
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:097b56e507ec7dd3f315d48ecef...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-22 14:24 EDT by Sean Sheedy
Modified: 2015-12-02 13:16 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-02 10:03:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (2.17 KB, text/plain)
2015-08-22 14:24 EDT, Sean Sheedy
no flags Details
File: environ (2.05 KB, text/plain)
2015-08-22 14:24 EDT, Sean Sheedy
no flags Details

  None (edit)
Description Sean Sheedy 2015-08-22 14:24:22 EDT
Version-Release number of selected component:
gourmet-0.17.4-2.fc21

Additional info:
reporter:       libreport-2.3.0
cmdline:        /usr/bin/python /usr/bin/gourmet
executable:     /usr/bin/gourmet
kernel:         4.1.4-100.fc21.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
shopgui.py:736:getOptionalIngDic:AttributeError: 'module' object has no attribute 'UserCancelError'

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/gourmet/reccard.py", line 413, in shop_for_recipe_cb
    self.prefs)
  File "/usr/lib/python2.7/site-packages/gourmet/shopgui.py", line 736, in getOptionalIngDic
    raise de.UserCancelError("Option Dialog cancelled!")
AttributeError: 'module' object has no attribute 'UserCancelError'

Local variables in innermost frame:
i: (1215, 134, None, u'fl oz', 3.0, None, u'gin', u'shots of gin or triple sec', True, None, None, 7, False)
self: <gourmet.shopgui.ShopGui instance at 0x7ff1bfa3d248>
oid: <OptionalIngDialog object at 0x7ff1bf9537d0 (GtkDialog at 0x1c6d1e0)>
optional_mode: 0
ivw: [(1209, 134, None, u'ml', 750.0, None, u'red wine', u'bottle of red wine (cabernet sauvignon, merlot, rioja, zinfandel, shiraz)', False, None, None, 0, False), (1210, 134, None, None, 1.0, None, u'lemon, cut into wedges', u'lemon cut into wedges', False, None, None, 1, False), (1211, 134, None, None, 1.0, None, u'orange, cut into wedges', u'orange cut into wedges', False, None, None, 2, False), (1212, 134, None, None, 1.0, None, u'lime, cut into wedges', u'lime cut into wedges', False, None, None, 3, False), (1213, 134, None, u'Tbs', 2.0, None, u'sugar', u'sugar, white', False, None, None, 5, False), (1214, 134, None, u'c', 0.25, None, u'orange juice', u'splash of orange juice or lemonade', False, None, None, 6, False), (1215, 134, None, u'fl oz', 3.0, None, u'gin', u'shots of gin or triple sec', True, None, None, 7, False), (1216, 134, None, u'c', 1.0, None, u'raspberries or strawberries (may use thawed or frozen)', u'of raspberries or strawberries (may use thawed or frozen)', False, None, None, 8, False), (1217, 134, None, u'oz', 8.0, None, u'can of diced pineapples (with juice)', u'can of diced pineapples (with juice)', False, None, None, 4, False), (1218, 134, None, u'c', 4.0, None, u'ginger ale', u'ginger ale', False, None, None, 9, False)]
vw: [(1215, 134, None, u'fl oz', 3.0, None, u'gin', u'shots of gin or triple sec', True, None, None, 7, False)]
prefs: <gourmet.prefs.Prefs instance at 0x7ff1c1148fc8>
retval: None
mult: 1
Comment 1 Sean Sheedy 2015-08-22 14:24:24 EDT
Created attachment 1065856 [details]
File: backtrace
Comment 2 Sean Sheedy 2015-08-22 14:24:25 EDT
Created attachment 1065857 [details]
File: environ
Comment 3 Fedora Admin XMLRPC Client 2015-09-09 15:29:07 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora Admin XMLRPC Client 2015-09-09 20:02:50 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora End Of Life 2015-11-04 05:34:09 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-12-02 10:03:08 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.